//-----------------------------------------------------------
//
//-----------------------------------------------------------
class ONSTankHitRockEffect extends Emitter;

#exec OBJ LOAD FILE="..\Textures\VMParticleTextures.utx"

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();

	if ( Level.bDropDetail || (Level.DetailMode == DM_Low) || ((Level.DetailMode != DM_SuperHigh) && (Instigator != Level.GetLocalPlayerController().Pawn))
		|| (VSize(Level.GetLocalPlayerController().ViewTarget.Location - Location) > 6000) )
	{
		Emitters[0].UseCollision = false;
        Emitters[0].FadeOutStartTime = 3.000000;
	}
}

DefaultProperties
{
    Begin Object Class=SpriteEmitter Name=SpriteEmitter1
        UseCollision=True
        UseMaxCollisions=True
        FadeOut=True
        RespawnDeadParticles=False
        SpinParticles=True
        UniformSize=True
        AutomaticInitialSpawning=False
        UseRandomSubdivision=True
        Acceleration=(Z=-800.000000)
        DampingFactorRange=(X=(Min=0.500000,Max=0.500000),Y=(Min=0.500000,Max=0.500000),Z=(Min=0.500000,Max=0.500000))
        MaxCollisions=(Min=6.000000,Max=6.000000)
        ColorScale(0)=(Color=(B=255,G=255,R=255,A=255))
        ColorScale(1)=(RelativeTime=1.000000,Color=(B=255,G=255,R=255,A=255))
        FadeOutStartTime=3.500000
        MaxParticles=20
        Name="SpriteEmitter1"
        UseRotationFrom=PTRS_Actor
        SpinsPerSecondRange=(X=(Min=-4.000000,Max=4.000000))
        StartSpinRange=(X=(Min=-1.000000,Max=1.000000))
        StartSizeRange=(X=(Min=10.000000,Max=30.000000))
        InitialParticlesPerSecond=1000.000000
        DrawStyle=PTDS_AlphaBlend
        Texture=Texture'EmitterTextures.MultiFrame.rockchunks02'
        TextureUSubdivisions=4
        TextureVSubdivisions=4
        LifetimeRange=(Max=6.000000)
        StartVelocityRange=(X=(Min=-1000.000000,Max=1000.000000),Y=(Min=-1000.000000,Max=1000.000000),Z=(Min=200.000000,Max=1800.000000))
    End Object
    Emitters(0)=SpriteEmitter'SpriteEmitter1'

    Begin Object Class=SpriteEmitter Name=SpriteEmitter2
        UseDirectionAs=PTDU_Up
        FadeOut=True
        FadeIn=True
        RespawnDeadParticles=False
        UseSizeScale=True
        UseRegularSizeScale=False
        UniformSize=True
        ScaleSizeYByVelocity=True
        AutomaticInitialSpawning=False
        UseRandomSubdivision=True
        ColorScale(0)=(Color=(B=255,G=255,R=255,A=255))
        ColorScale(1)=(RelativeTime=1.000000,Color=(B=255,G=255,R=255,A=255))
        FadeOutStartTime=0.100000
        FadeInEndTime=0.100000
        MaxParticles=80
        Name="SpriteEmitter2"
        DetailMode=DM_High
        AddLocationFromOtherEmitter=0
        SizeScale(0)=(RelativeSize=1.000000)
        SizeScale(1)=(RelativeTime=1.000000,RelativeSize=12.000000)
        StartSizeRange=(X=(Min=4.000000,Max=8.000000))
        ScaleSizeByVelocityMultiplier=(X=0.150000,Y=0.150000,Z=0.150000)
        InitialParticlesPerSecond=150.000000
        DrawStyle=PTDS_Darken
        Texture=Texture'EpicParticles.Smoke.SparkCloud_01aw'
        LifetimeRange=(Min=3.000000,Max=1.000000)
        InitialDelayRange=(Min=0.250000,Max=0.250000)
        VelocityLossRange=(X=(Min=0.900000,Max=0.900000),Y=(Min=0.900000,Max=0.900000),Z=(Min=0.900000,Max=0.900000))
        AddVelocityFromOtherEmitter=0
        AddVelocityMultiplierRange=(X=(Min=0.100000,Max=0.100000),Y=(Min=0.100000,Max=0.100000),Z=(Min=0.100000,Max=0.100000))
    End Object
    Emitters(1)=SpriteEmitter'SpriteEmitter2'

    Begin Object Class=SpriteEmitter Name=SpriteEmitter0
        FadeOut=True
        RespawnDeadParticles=False
        SpinParticles=True
        UseSizeScale=True
        UseRegularSizeScale=False
        UniformSize=True
        AutomaticInitialSpawning=False
        UseRandomSubdivision=True
        Acceleration=(Z=-600.000000)
        FadeOutStartTime=3.500000
        MaxParticles=75
        Name="SpriteEmitter0"
        DetailMode=DM_High
        UseRotationFrom=PTRS_Actor
        SpinsPerSecondRange=(X=(Min=-4.000000,Max=4.000000))
        StartSpinRange=(X=(Min=-1.000000,Max=1.000000))
        StartSizeRange=(X=(Min=2.000000,Max=25.000000))
        InitialParticlesPerSecond=1000.000000
        DrawStyle=PTDS_AlphaBlend
        Texture=Texture'EmitterTextures.MultiFrame.rockchunks02'
        TextureUSubdivisions=4
        TextureVSubdivisions=4
        StartVelocityRange=(X=(Min=-400.000000,Max=400.000000),Y=(Min=-400.000000,Max=400.000000),Z=(Min=100.000000,Max=1600.000000))
    End Object
    Emitters(2)=SpriteEmitter'SpriteEmitter0'

    Begin Object Class=SpriteEmitter Name=SpriteEmitter3
        UseColorScale=True
        FadeOut=True
        FadeIn=True
        RespawnDeadParticles=False
        SpinParticles=True
        UseSizeScale=True
        UseRegularSizeScale=False
        UniformSize=True
        AutomaticInitialSpawning=False
        ColorScale(0)=(Color=(B=155,G=180,R=205,A=255))
        ColorScale(1)=(RelativeTime=1.000000,Color=(B=155,G=180,R=205,A=255))
        FadeOutStartTime=1.000000
        FadeInEndTime=0.100000
        CoordinateSystem=PTCS_Relative
        MaxParticles=4
        Name="SpriteEmitter3"
        StartLocationRange=(X=(Min=-200.000000,Max=200.000000),Y=(Min=-200.000000,Max=200.000000))
        StartLocationShape=PTLS_Polar
        StartLocationPolarRange=(X=(Min=-128.000000,Max=128.000000),Y=(Min=-128.000000,Max=128.000000))
        AlphaRef=4
        SpinsPerSecondRange=(X=(Min=-0.100000,Max=0.100000))
        StartSpinRange=(X=(Min=-1.000000,Max=1.000000))
        SizeScale(0)=(RelativeSize=2.000000)
        SizeScale(1)=(RelativeTime=1.000000,RelativeSize=6.000000)
        StartSizeRange=(X=(Min=50.000000))
        InitialParticlesPerSecond=1000.000000
        DrawStyle=PTDS_AlphaBlend
        Texture=Texture'BenTex01.textures.SmokePuff01'
        LifetimeRange=(Min=1.500000)
        InitialDelayRange=(Max=0.100000)
        StartVelocityRange=(X=(Min=-600.000000,Max=600.000000),Y=(Min=-600.000000,Max=600.000000),Z=(Max=50.000000))
        StartVelocityRadialRange=(Min=100.000000,Max=200.000000)
        VelocityLossRange=(X=(Min=1.000000,Max=3.000000),Y=(Min=1.000000,Max=3.000000))
        RotateVelocityLossRange=True
        GetVelocityDirectionFrom=PTVD_AddRadial
    End Object
    Emitters(3)=SpriteEmitter'SpriteEmitter3'

    Begin Object Class=SpriteEmitter Name=SpriteEmitter5
        UseColorScale=True
        FadeOut=True
        FadeIn=True
        RespawnDeadParticles=False
        SpinParticles=True
        UseSizeScale=True
        UseRegularSizeScale=False
        UniformSize=True
        AutomaticInitialSpawning=False
        Acceleration=(Z=-10.000000)
        ColorScale(0)=(Color=(B=155,G=180,R=205,A=255))
        ColorScale(1)=(RelativeTime=1.000000,Color=(B=155,G=180,R=205,A=255))
        FadeOutStartTime=1.000000
        FadeInEndTime=0.100000
        CoordinateSystem=PTCS_Relative
        MaxParticles=5
        Name="SpriteEmitter5"
        StartLocationRange=(Z=(Min=-32.000000,Max=128.000000))
        AlphaRef=4
        SpinsPerSecondRange=(X=(Min=-0.100000,Max=0.100000))
        StartSpinRange=(X=(Min=-1.000000,Max=1.000000))
        SizeScale(0)=(RelativeSize=1.000000)
        SizeScale(1)=(RelativeTime=1.000000,RelativeSize=12.000000)
        StartSizeRange=(X=(Min=30.000000,Max=60.000000))
        InitialParticlesPerSecond=500.000000
        DrawStyle=PTDS_AlphaBlend
        Texture=Texture'BenTex01.textures.SmokePuff01'
        LifetimeRange=(Min=1.500000)
        StartVelocityRange=(X=(Min=-100.000000,Max=100.000000),Y=(Min=-100.000000,Max=100.000000),Z=(Min=50.000000,Max=1400.000000))
        VelocityLossRange=(X=(Min=1.000000,Max=2.000000),Y=(Min=1.000000,Max=2.000000),Z=(Min=1.000000,Max=2.000000))
        RotateVelocityLossRange=True
    End Object
    Emitters(4)=SpriteEmitter'SpriteEmitter5'

    Begin Object Class=SpriteEmitter Name=SpriteEmitter10
        UseColorScale=True
        FadeOut=True
        RespawnDeadParticles=False
        SpinParticles=True
        UseSizeScale=True
        UseRegularSizeScale=False
        UniformSize=True
        AutomaticInitialSpawning=False
        BlendBetweenSubdivisions=True
        ColorScale(0)=(Color=(B=213,G=238,R=255))
        ColorScale(1)=(RelativeTime=1.000000,Color=(B=193,G=224,R=255))
        FadeOutStartTime=0.100000
        CoordinateSystem=PTCS_Relative
        MaxParticles=3
        Name="SpriteEmitter10"
        StartLocationRange=(X=(Min=-64.000000,Max=64.000000),Y=(Min=-64.000000,Max=64.000000))
        StartSpinRange=(X=(Min=-1.000000,Max=1.000000))
        SizeScale(0)=(RelativeSize=1.000000)
        SizeScale(1)=(RelativeTime=1.000000,RelativeSize=3.000000)
        StartSizeRange=(X=(Min=75.000000,Max=150.000000))
        InitialParticlesPerSecond=1000.000000
        Texture=Texture'AW-2004Explosions.Fire.Part_explode2'
        TextureUSubdivisions=4
        TextureVSubdivisions=4
        LifetimeRange=(Min=0.250000,Max=0.500000)
    End Object
    Emitters(5)=SpriteEmitter'SpriteEmitter10'

    Begin Object Class=SpriteEmitter Name=SpriteEmitter265
        UseDirectionAs=PTDU_Right
        UseColorScale=True
        FadeOut=True
        FadeIn=True
        RespawnDeadParticles=False
        UniformSize=True
        ScaleSizeXByVelocity=True
        AutomaticInitialSpawning=False
        Acceleration=(Z=-400.000000)
        ColorScale(0)=(Color=(B=179,G=236,R=255))
        ColorScale(1)=(RelativeTime=1.000000,Color=(B=20,G=97,R=167))
        FadeOutStartTime=0.500000
        FadeInEndTime=0.100000
        MaxParticles=20
        Name="SpriteEmitter265"
        DetailMode=DM_SuperHigh
        UseRotationFrom=PTRS_Actor
        StartSizeRange=(X=(Min=4.000000,Max=10.000000))
        ScaleSizeByVelocityMultiplier=(X=0.006000)
        InitialParticlesPerSecond=1000.000000
        Texture=Texture'AW-2004Particles.Weapons.HardSpot'
        LifetimeRange=(Min=0.750000,Max=1.250000)
        StartVelocityRange=(X=(Min=-1200.000000,Max=1200.000000),Y=(Min=-1200.000000,Max=1200.000000),Z=(Min=400.000000,Max=1400.000000))
    End Object
    Emitters(6)=SpriteEmitter'SpriteEmitter265'
    bNoDelete=False
    AutoDestroy=True
}
